// CHECKSTYLE:OFF

package com.cloudbees.diff;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Bundle {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Bundle.class);

    /**
     * Diff Visualizers
     * 
     */
    public static String Services_DiffVisualizers() {
        return holder.format("Services/DiffVisualizers");
    }

    /**
     * Diff Visualizers
     * 
     */
    public static Localizable _Services_DiffVisualizers() {
        return new Localizable(holder, "Services/DiffVisualizers");
    }

    /**
     * Patch
     * 
     */
    public static String BTN_Patch() {
        return holder.format("BTN_Patch");
    }

    /**
     * Patch
     * 
     */
    public static Localizable _BTN_Patch() {
        return new Localizable(holder, "BTN_Patch");
    }

    /**
     * Visualizer.
     * 
     */
    public static String ACS_VisualizerA11yDesc() {
        return holder.format("ACS_VisualizerA11yDesc");
    }

    /**
     * Visualizer.
     * 
     */
    public static Localizable _ACS_VisualizerA11yDesc() {
        return new Localizable(holder, "ACS_VisualizerA11yDesc");
    }

    /**
     * Choose diff visualizer.
     * 
     */
    public static String ACS_VisualizerPropertyPanelA11yDesc() {
        return holder.format("ACS_VisualizerPropertyPanelA11yDesc");
    }

    /**
     * Choose diff visualizer.
     * 
     */
    public static Localizable _ACS_VisualizerPropertyPanelA11yDesc() {
        return new Localizable(holder, "ACS_VisualizerPropertyPanelA11yDesc");
    }

    /**
     * No Diff Visualizer is registered in the system.
     * 
     */
    public static String MSG_NoDiffVisualizer() {
        return holder.format("MSG_NoDiffVisualizer");
    }

    /**
     * No Diff Visualizer is registered in the system.
     * 
     */
    public static Localizable _MSG_NoDiffVisualizer() {
        return new Localizable(holder, "MSG_NoDiffVisualizer");
    }

    /**
     * The command executed by the external diff engine.
     * 
     */
    public static String HINT_diffCmd() {
        return holder.format("HINT_diffCmd");
    }

    /**
     * The command executed by the external diff engine.
     * 
     */
    public static Localizable _HINT_diffCmd() {
        return new Localizable(holder, "HINT_diffCmd");
    }

    /**
     * Patch applied successfully. View applied changes? (patched binary files will not be displayed)
     * 
     */
    public static String MSG_PatchAppliedSuccessfully() {
        return holder.format("MSG_PatchAppliedSuccessfully");
    }

    /**
     * Patch applied successfully. View applied changes? (patched binary files will not be displayed)
     * 
     */
    public static Localizable _MSG_PatchAppliedSuccessfully() {
        return new Localizable(holder, "MSG_PatchAppliedSuccessfully");
    }

    /**
     * Provides the diff action to view file differences.
     * 
     */
    public static String OpenIDE_Module_Short_Description() {
        return holder.format("OpenIDE-Module-Short-Description");
    }

    /**
     * Provides the diff action to view file differences.
     * 
     */
    public static Localizable _OpenIDE_Module_Short_Description() {
        return new Localizable(holder, "OpenIDE-Module-Short-Description");
    }

    /**
     * The Diff module provides an action, that is enabled when two files are selected in the IDE. It is based on an external diff utility, that is executed to obtain the differences, which are then shown to the user graphically.
     * 
     */
    public static String OpenIDE_Module_Long_Description() {
        return holder.format("OpenIDE-Module-Long-Description");
    }

    /**
     * The Diff module provides an action, that is enabled when two files are selected in the IDE. It is based on an external diff utility, that is executed to obtain the differences, which are then shown to the user graphically.
     * 
     */
    public static Localizable _OpenIDE_Module_Long_Description() {
        return new Localizable(holder, "OpenIDE-Module-Long-Description");
    }

    /**
     * Built-in Diff Engine
     * 
     */
    public static String BuiltInDiffProvider_displayName() {
        return holder.format("BuiltInDiffProvider.displayName");
    }

    /**
     * Built-in Diff Engine
     * 
     */
    public static Localizable _BuiltInDiffProvider_displayName() {
        return new Localizable(holder, "BuiltInDiffProvider.displayName");
    }

    /**
     * No Diff Engine is registered in the system.
     * 
     */
    public static String MSG_NoDiffProvider() {
        return holder.format("MSG_NoDiffProvider");
    }

    /**
     * No Diff Engine is registered in the system.
     * 
     */
    public static Localizable _MSG_NoDiffProvider() {
        return new Localizable(holder, "MSG_NoDiffProvider");
    }

    /**
     * Select The Diff Patch For Files In {0}
     * 
     */
    public static String TITLE_SelectPatchForFolder(Object arg1) {
        return holder.format("TITLE_SelectPatchForFolder", arg1);
    }

    /**
     * Select The Diff Patch For Files In {0}
     * 
     */
    public static Localizable _TITLE_SelectPatchForFolder(Object arg1) {
        return new Localizable(holder, "TITLE_SelectPatchForFolder", arg1);
    }

    /**
     * &amp;Visualizer:
     * 
     */
    public static String LBL_Visualizer() {
        return holder.format("LBL_Visualizer");
    }

    /**
     * &amp;Visualizer:
     * 
     */
    public static Localizable _LBL_Visualizer() {
        return new Localizable(holder, "LBL_Visualizer");
    }

    /**
     * Diff failed for {0} and {1}.
     * 
     */
    public static String MSG_DiffFailed(Object arg1, Object arg2) {
        return holder.format("MSG_DiffFailed", arg1, arg2);
    }

    /**
     * Diff failed for {0} and {1}.
     * 
     */
    public static Localizable _MSG_DiffFailed(Object arg1, Object arg2) {
        return new Localizable(holder, "MSG_DiffFailed", arg1, arg2);
    }

    /**
     * P
     * 
     */
    public static String BTN_Patch_mnc() {
        return holder.format("BTN_Patch_mnc");
    }

    /**
     * P
     * 
     */
    public static Localizable _BTN_Patch_mnc() {
        return new Localizable(holder, "BTN_Patch_mnc");
    }

    /**
     * There are no diff engines registered in the system
     * 
     */
    public static String MSG_ProvidersMissing() {
        return holder.format("MSG_ProvidersMissing");
    }

    /**
     * There are no diff engines registered in the system
     * 
     */
    public static Localizable _MSG_ProvidersMissing() {
        return new Localizable(holder, "MSG_ProvidersMissing");
    }

    /**
     * Diff and Merge Types
     * 
     */
    public static String UI_Services_IDEConfiguration_ServerAndExternalToolSettings_DiffTypes() {
        return holder.format("UI/Services/IDEConfiguration/ServerAndExternalToolSettings/DiffTypes");
    }

    /**
     * Diff and Merge Types
     * 
     */
    public static Localizable _UI_Services_IDEConfiguration_ServerAndExternalToolSettings_DiffTypes() {
        return new Localizable(holder, "UI/Services/IDEConfiguration/ServerAndExternalToolSettings/DiffTypes");
    }

    /**
     * Parsing of the patch file failed: {0}
     * 
     */
    public static String EXC_PatchParsingFailed(Object arg1) {
        return holder.format("EXC_PatchParsingFailed", arg1);
    }

    /**
     * Parsing of the patch file failed: {0}
     * 
     */
    public static Localizable _EXC_PatchParsingFailed(Object arg1) {
        return new Localizable(holder, "EXC_PatchParsingFailed", arg1);
    }

    /**
     * Choose diff engine.
     * 
     */
    public static String ACS_ProviderPropertyPanelA11yDesc() {
        return holder.format("ACS_ProviderPropertyPanelA11yDesc");
    }

    /**
     * Choose diff engine.
     * 
     */
    public static Localizable _ACS_ProviderPropertyPanelA11yDesc() {
        return new Localizable(holder, "ACS_ProviderPropertyPanelA11yDesc");
    }

    /**
     * The following backup copies cannot be removed after successful application of a patch:
     *  {0} Reason(s):
     *  {1}
     * 
     */
    public static String EXC_CannotRemoveBackup(Object arg1, Object arg2) {
        return holder.format("EXC_CannotRemoveBackup", arg1, arg2);
    }

    /**
     * The following backup copies cannot be removed after successful application of a patch:
     *  {0} Reason(s):
     *  {1}
     * 
     */
    public static Localizable _EXC_CannotRemoveBackup(Object arg1, Object arg2) {
        return new Localizable(holder, "EXC_CannotRemoveBackup", arg1, arg2);
    }

    /**
     * Diff Engines
     * 
     */
    public static String Services_DiffProviders() {
        return holder.format("Services/DiffProviders");
    }

    /**
     * Diff Engines
     * 
     */
    public static Localizable _Services_DiffProviders() {
        return new Localizable(holder, "Services/DiffProviders");
    }

    /**
     * Following files are to be patched, but not found: {0}
     * 
     */
    public static String MSG_NotFoundFiles(Object arg1) {
        return holder.format("MSG_NotFoundFiles", arg1);
    }

    /**
     * Following files are to be patched, but not found: {0}
     * 
     */
    public static Localizable _MSG_NotFoundFiles(Object arg1) {
        return new Localizable(holder, "MSG_NotFoundFiles", arg1);
    }

    /**
     * Show panel with engine and visualizer selectors.
     * 
     */
    public static String HINT_showDiffSelector() {
        return holder.format("HINT_showDiffSelector");
    }

    /**
     * Show panel with engine and visualizer selectors.
     * 
     */
    public static Localizable _HINT_showDiffSelector() {
        return new Localizable(holder, "HINT_showDiffSelector");
    }

    /**
     * If true then starting and trailing line whitespaces are ignored.
     * 
     */
    public static String BK0002() {
        return holder.format("BK0002");
    }

    /**
     * If true then starting and trailing line whitespaces are ignored.
     * 
     */
    public static Localizable _BK0002() {
        return new Localizable(holder, "BK0002");
    }

    /**
     * Diffing...
     * 
     */
    public static String BK0001() {
        return holder.format("BK0001");
    }

    /**
     * Diffing...
     * 
     */
    public static Localizable _BK0001() {
        return new Localizable(holder, "BK0001");
    }

    /**
     * Patch applied partially. View applied changes? (patched binary files will not be displayed)
     * 
     */
    public static String MSG_PatchAppliedPartially() {
        return holder.format("MSG_PatchAppliedPartially");
    }

    /**
     * Patch applied partially. View applied changes? (patched binary files will not be displayed)
     * 
     */
    public static Localizable _MSG_PatchAppliedPartially() {
        return new Localizable(holder, "MSG_PatchAppliedPartially");
    }

    /**
     * Diff
     * 
     */
    public static String OpenIDE_Module_Name() {
        return holder.format("OpenIDE-Module-Name");
    }

    /**
     * Diff
     * 
     */
    public static Localizable _OpenIDE_Module_Name() {
        return new Localizable(holder, "OpenIDE-Module-Name");
    }

    /**
     * Diff Component
     * 
     */
    public static String ACSN_Diff_Top_Component() {
        return holder.format("ACSN_Diff_Top_Component");
    }

    /**
     * Diff Component
     * 
     */
    public static Localizable _ACSN_Diff_Top_Component() {
        return new Localizable(holder, "ACSN_Diff_Top_Component");
    }

    /**
     * Built-in Diff Service
     * 
     */
    public static String DefaultDiff_displayName() {
        return holder.format("DefaultDiff.displayName");
    }

    /**
     * Built-in Diff Service
     * 
     */
    public static Localizable _DefaultDiff_displayName() {
        return new Localizable(holder, "DefaultDiff.displayName");
    }

    /**
     * Visualizer Property Panel
     * 
     */
    public static String ACS_VisualizerPropertyPanelA11yName() {
        return holder.format("ACS_VisualizerPropertyPanelA11yName");
    }

    /**
     * Visualizer Property Panel
     * 
     */
    public static Localizable _ACS_VisualizerPropertyPanelA11yName() {
        return new Localizable(holder, "ACS_VisualizerPropertyPanelA11yName");
    }

    /**
     * No differences found in file {0}.
     * 
     */
    public static String MSG_NoDifferences(Object arg1) {
        return holder.format("MSG_NoDifferences", arg1);
    }

    /**
     * No differences found in file {0}.
     * 
     */
    public static Localizable _MSG_NoDifferences(Object arg1) {
        return new Localizable(holder, "MSG_NoDifferences", arg1);
    }

    /**
     * No differences were found between {0} and {1}.
     * 
     */
    public static String MSG_NoDifferenceInFile(Object arg1, Object arg2) {
        return holder.format("MSG_NoDifferenceInFile", arg1, arg2);
    }

    /**
     * No differences were found between {0} and {1}.
     * 
     */
    public static Localizable _MSG_NoDifferenceInFile(Object arg1, Object arg2) {
        return new Localizable(holder, "MSG_NoDifferenceInFile", arg1, arg2);
    }

    /**
     * Computing differences:
     * 
     */
    public static String diff_prog() {
        return holder.format("diff.prog");
    }

    /**
     * Computing differences:
     * 
     */
    public static Localizable _diff_prog() {
        return new Localizable(holder, "diff.prog");
    }

    /**
     * Differences between source files
     * 
     */
    public static String ACSD_Diff_Top_Component() {
        return holder.format("ACSD_Diff_Top_Component");
    }

    /**
     * Differences between source files
     * 
     */
    public static Localizable _ACSD_Diff_Top_Component() {
        return new Localizable(holder, "ACSD_Diff_Top_Component");
    }

    /**
     * Show Diff Service Selector
     * 
     */
    public static String PROP_showDiffSelector() {
        return holder.format("PROP_showDiffSelector");
    }

    /**
     * Show Diff Service Selector
     * 
     */
    public static Localizable _PROP_showDiffSelector() {
        return new Localizable(holder, "PROP_showDiffSelector");
    }

    /**
     * The patch cannot be applied in the selected context. It was originally generated relative to "{0}".
     * 
     */
    public static String MSG_WrongPatch_Hint(Object arg1) {
        return holder.format("MSG_WrongPatch_Hint", arg1);
    }

    /**
     * The patch cannot be applied in the selected context. It was originally generated relative to "{0}".
     * 
     */
    public static Localizable _MSG_WrongPatch_Hint(Object arg1) {
        return new Localizable(holder, "MSG_WrongPatch_Hint", arg1);
    }

    /**
     * Select The Diff Patch For {0}
     * 
     */
    public static String TITLE_SelectPatchForFile(Object arg1) {
        return holder.format("TITLE_SelectPatchForFile", arg1);
    }

    /**
     * Select The Diff Patch For {0}
     * 
     */
    public static Localizable _TITLE_SelectPatchForFile(Object arg1) {
        return new Localizable(holder, "TITLE_SelectPatchForFile", arg1);
    }

    /**
     * Select the diff patch file to apply.
     * 
     */
    public static String BTN_Patch_tooltip() {
        return holder.format("BTN_Patch_tooltip");
    }

    /**
     * Select the diff patch file to apply.
     * 
     */
    public static Localizable _BTN_Patch_tooltip() {
        return new Localizable(holder, "BTN_Patch_tooltip");
    }

    /**
     * This dialog allows you to choose patch
     * 
     */
    public static String ACSD_PatchDialog() {
        return holder.format("ACSD_PatchDialog");
    }

    /**
     * This dialog allows you to choose patch
     * 
     */
    public static Localizable _ACSD_PatchDialog() {
        return new Localizable(holder, "ACSD_PatchDialog");
    }

    /**
     * Di&amp;ff
     * 
     */
    public static String CTL_DiffActionName() {
        return holder.format("CTL_DiffActionName");
    }

    /**
     * Di&amp;ff
     * 
     */
    public static Localizable _CTL_DiffActionName() {
        return new Localizable(holder, "CTL_DiffActionName");
    }

    /**
     * Engine.
     * 
     */
    public static String ACS_ProviderA11yDesc() {
        return holder.format("ACS_ProviderA11yDesc");
    }

    /**
     * Engine.
     * 
     */
    public static Localizable _ACS_ProviderA11yDesc() {
        return new Localizable(holder, "ACS_ProviderA11yDesc");
    }

    /**
     * Appl&amp;y Diff Patch...
     * 
     */
    public static String CTL_PatchActionName() {
        return holder.format("CTL_PatchActionName");
    }

    /**
     * Appl&amp;y Diff Patch...
     * 
     */
    public static Localizable _CTL_PatchActionName() {
        return new Localizable(holder, "CTL_PatchActionName");
    }

    /**
     * Tools
     * 
     */
    public static String OpenIDE_Module_Display_Category() {
        return holder.format("OpenIDE-Module-Display-Category");
    }

    /**
     * Tools
     * 
     */
    public static Localizable _OpenIDE_Module_Display_Category() {
        return new Localizable(holder, "OpenIDE-Module-Display-Category");
    }

    /**
     * The diff command ''{0}'' failed to execute in the system.
     * 
     */
    public static String CmdlineDiffProvider_runtimeError(Object arg1) {
        return holder.format("CmdlineDiffProvider.runtimeError", arg1);
    }

    /**
     * The diff command ''{0}'' failed to execute in the system.
     * 
     */
    public static Localizable _CmdlineDiffProvider_runtimeError(Object arg1) {
        return new Localizable(holder, "CmdlineDiffProvider.runtimeError", arg1);
    }

    /**
     * Patch Files (*.diff, *.patch)
     * 
     */
    public static String CTL_PatchDialog_FileFilter() {
        return holder.format("CTL_PatchDialog_FileFilter");
    }

    /**
     * Patch Files (*.diff, *.patch)
     * 
     */
    public static Localizable _CTL_PatchDialog_FileFilter() {
        return new Localizable(holder, "CTL_PatchDialog_FileFilter");
    }

    /**
     * An external diff engine that produces a list of differences in a format compatible with the UNIX diff command.
     * 
     */
    public static String CmdlineDiffProvider_shortDescription() {
        return holder.format("CmdlineDiffProvider.shortDescription");
    }

    /**
     * An external diff engine that produces a list of differences in a format compatible with the UNIX diff command.
     * 
     */
    public static Localizable _CmdlineDiffProvider_shortDescription() {
        return new Localizable(holder, "CmdlineDiffProvider.shortDescription");
    }

    /**
     * Application of the patch to ''{1}'' failed: {0}
     * 
     */
    public static String EXC_PatchApplicationFailed(Object arg1, Object arg2) {
        return holder.format("EXC_PatchApplicationFailed", arg1, arg2);
    }

    /**
     * Application of the patch to ''{1}'' failed: {0}
     * 
     */
    public static Localizable _EXC_PatchApplicationFailed(Object arg1, Object arg2) {
        return new Localizable(holder, "EXC_PatchApplicationFailed", arg1, arg2);
    }

    /**
     * Default built-in diff engine that computes differences between two sources.
     * 
     */
    public static String BuiltInDiffProvider_shortDescription() {
        return holder.format("BuiltInDiffProvider.shortDescription");
    }

    /**
     * Default built-in diff engine that computes differences between two sources.
     * 
     */
    public static Localizable _BuiltInDiffProvider_shortDescription() {
        return new Localizable(holder, "BuiltInDiffProvider.shortDescription");
    }

    /**
     * The patch application failed, it's not possible to write to {0}.
     * 
     */
    public static String EXC_CopyOfAppliedPatchFailed() {
        return holder.format("EXC_CopyOfAppliedPatchFailed");
    }

    /**
     * The patch application failed, it's not possible to write to {0}.
     * 
     */
    public static Localizable _EXC_CopyOfAppliedPatchFailed() {
        return new Localizable(holder, "EXC_CopyOfAppliedPatchFailed");
    }

    /**
     * The Diff Command
     * 
     */
    public static String PROP_diffCmd() {
        return holder.format("PROP_diffCmd");
    }

    /**
     * The Diff Command
     * 
     */
    public static Localizable _PROP_diffCmd() {
        return new Localizable(holder, "PROP_diffCmd");
    }

    /**
     * Diff Services
     * 
     */
    public static String Services_Diffs() {
        return holder.format("Services/Diffs");
    }

    /**
     * Diff Services
     * 
     */
    public static Localizable _Services_Diffs() {
        return new Localizable(holder, "Services/Diffs");
    }

    /**
     * &amp;Engine:
     * 
     */
    public static String LBL_Provider() {
        return holder.format("LBL_Provider");
    }

    /**
     * &amp;Engine:
     * 
     */
    public static Localizable _LBL_Provider() {
        return new Localizable(holder, "LBL_Provider");
    }

    /**
     * Command-line Diff
     * 
     */
    public static String CmdlineDiffProvider_displayName() {
        return holder.format("CmdlineDiffProvider.displayName");
    }

    /**
     * Command-line Diff
     * 
     */
    public static Localizable _CmdlineDiffProvider_displayName() {
        return new Localizable(holder, "CmdlineDiffProvider.displayName");
    }

    /**
     * Engine Property Panel
     * 
     */
    public static String ACS_ProviderPropertyPanelA11yName() {
        return holder.format("ACS_ProviderPropertyPanelA11yName");
    }

    /**
     * Engine Property Panel
     * 
     */
    public static Localizable _ACS_ProviderPropertyPanelA11yName() {
        return new Localizable(holder, "ACS_ProviderPropertyPanelA11yName");
    }

    /**
     * The patch cannot be applied in the selected context.
     * 
     */
    public static String MSG_WrongPatch() {
        return holder.format("MSG_WrongPatch");
    }

    /**
     * The patch cannot be applied in the selected context.
     * 
     */
    public static Localizable _MSG_WrongPatch() {
        return new Localizable(holder, "MSG_WrongPatch");
    }

    /**
     * There are no diff visualizers registered in the system
     * 
     */
    public static String MSG_VisualizersMissing() {
        return holder.format("MSG_VisualizersMissing");
    }

    /**
     * There are no diff visualizers registered in the system
     * 
     */
    public static Localizable _MSG_VisualizersMissing() {
        return new Localizable(holder, "MSG_VisualizersMissing");
    }

    /**
     * No differences were found between ''{0}'' and ''{1}''.
     * 
     */
    public static String MSG_NoDifference(Object arg1, Object arg2) {
        return holder.format("MSG_NoDifference", arg1, arg2);
    }

    /**
     * No differences were found between ''{0}'' and ''{1}''.
     * 
     */
    public static Localizable _MSG_NoDifference(Object arg1, Object arg2) {
        return new Localizable(holder, "MSG_NoDifference", arg1, arg2);
    }

}
